#ifndef __PARSER_H__
#define __PARSER_H__

#include <vector>
#include <common/Variable.h>
#include <autolog/autoLog.h>


namespace common {
	struct Function;
	struct SyntaxTreeNode;
}

namespace parser {


struct ParserContext {
	int lineNumber;
	std::vector<common::Function*> knownFunctions;
	std::vector<common::Variable> variables;
};

common::SyntaxTreeNode* generateSyntaxTree(const char* fileName, parser::ParserContext* context);

} //namespace parser

#endif //__SYNTAX_TO_AUTOMATA_H__