#ifndef ScintillaProxy_h__
#define ScintillaProxy_h__

#include "scintilla_include/Scintilla.h"
#include "scintilla_include/SciLexer.h"

extern HINSTANCE scintillaDllInst;
extern HWND scintillaWnd;

bool loadDll();
bool createScintillaWindow(HWND parent);
void retrieveFunctionPointers(HWND wnd);
void setEditorStyle();
void loadSourceFile(const char* filename);
void unloadScintillaDll();
void setCurrentStateLines(int firstLine, int lastLine);

void selectLines(int firstLine, int lastLine);
void repaintText();

#pragma comment( lib, "scintilla.lib" )



#endif // ScintillaProxy_h__