#ifndef TRACER_V2_H
#define TRACER_V2_H

#include <QtGui/QMainWindow>
#include <qt/QString.h>
#include "ui_tracer_v2.h"

#include "../interaction.h"

class Tracer_v2 : public QMainWindow
{
    Q_OBJECT

public:
    Tracer_v2(QWidget *parent = 0, Qt::WFlags flags = 0);
    ~Tracer_v2();

private:
    Ui::Tracer_v2Class ui;
    CAutoEnvironment env;

    HMODULE automatonLibrary;

    void initConnections();

public slots:

    void outputDebugStr(const QString& str);
    void slot() {}
    
    void openAutomatonDialog();
    void unloadAutomaton();
    
private slots:
};

#endif // TRACER_V2_H
