#pragma once

#include <string>

using std::string;

struct CAutoEnvironment
{
	int	dummy_start;

	void	(*stepForward)(int steps);
	void	(*stepBackward)(int steps);
	void	(*toEnd)();
	void	(*toStart)();

	int		(*getStateNumber)();
	string	(*getCurrentAutomatonName)();
	
	string	(*printVar)(const string& name);

	int		dummy_end;

	CAutoEnvironment()
	{
		memset(&dummy_start, NULL, ((char *)&dummy_end) - ((char *)&dummy_start) + sizeof(int));
	}
};

struct VariableDesc
{
    std::string type;
    std::string name;
    std::string value;
    VariableDesc(std::string t, std::string n, std::string v): name(n), type(t), value(v){}
};