
/*  A Bison parser, made from parser.y with Bison version GNU Bison version 1.24
  */

#define YYBISON 1  /* Identify Bison output.  */

#define	IFF	258
#define	IDENTIFIER	259
#define	STRINGliteral	260
#define	FLOATINGconstant	261
#define	INTEGERconstant	262
#define	CHARACTERconstant	263
#define	OCTALconstant	264
#define	HEXconstant	265
#define	BOOLconstant	266
#define	EXPRESSION	267
#define	AUTO	268
#define	DOUBLE	269
#define	INT	270
#define	STRUCT	271
#define	BOOL	272
#define	BREAK	273
#define	ELSE	274
#define	LONG	275
#define	SWITCH	276
#define	ELLIPSIS	277
#define	CASE	278
#define	ENUM	279
#define	REGISTER	280
#define	TYPEDEF	281
#define	CHAR	282
#define	EXTERN	283
#define	RETURN	284
#define	UNION	285
#define	CONST	286
#define	FLOAT	287
#define	SHORT	288
#define	UNSIGNED	289
#define	CONTINUE	290
#define	FOR	291
#define	SIGNED	292
#define	VOID	293
#define	DEFAULT	294
#define	GOTO	295
#define	SIZEOF	296
#define	VOLATILE	297
#define	DO	298
#define	IF	299
#define	STATIC	300
#define	WHILE	301
#define	ARROW	302
#define	ICR	303
#define	DECR	304
#define	LS	305
#define	RS	306
#define	LE	307
#define	GE	308
#define	EQ	309
#define	NE	310
#define	ANDAND	311
#define	OROR	312
#define	MULTassign	313
#define	DIVassign	314
#define	MODassign	315
#define	PLUSassign	316
#define	MINUSassign	317
#define	LSassign	318
#define	RSassign	319
#define	ANDassign	320
#define	ERassign	321
#define	ORassign	322



#include <iostream>
#include <fstream>
#include <string>
#include <vector>

#include <parser/Parser.h>
#include <parser/Part.h>

#include <autolog/autoLog.h>
#include <syntax2automata/SyntaxHelpers.h>


#include <common/comm.h>



#ifdef AUTO_DEBUG
	#define YYDEBUG 1
	#define YYERROR_VERBOSE 1	
#endif
	

common::SyntaxTreeNode* Root;
parser::ParserContext* context;

template<class T>
std::vector<T> operator+(const std::vector<T>& lhs, const std::vector<T>& rhs)
{
    std::vector<T> result(lhs);
    if (rhs.size() > 0) {
        result.insert(result.end(), rhs.begin(), rhs.end());
    }
    return result;
}

#undef YYSTYPE
#define YYSTYPE parser::Part


std::vector<common::Function> functionVector;

int yylex(void);
int yyparse(void);
extern "C" void yyerror(char* a)
{
	Log::getInstance()->logMessage(Log::MSG_ERROR, "Parser", a);
}

extern FILE* yyin;

extern "C" int yywrap()
{
	return 1;
}

#ifndef YYLTYPE
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#define YYLTYPE yyltype
#endif

#ifndef YYSTYPE
#define YYSTYPE int
#endif
#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		200
#define	YYFLAG		-32768
#define	YYNTBASE	89

#define YYTRANSLATE(x) ((unsigned)(x) <= 322 ? yytranslate[x] : 139)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,    81,     2,     2,     2,    84,    76,     2,    71,
    72,    77,    78,    75,    79,     2,    83,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,    70,    85,
    82,    86,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
    73,     2,    74,    87,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,    68,    88,    69,    80,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
    26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
    46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
    56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
    66,    67
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     2,     4,     7,     9,    11,    15,    17,    19,    21,
    23,    26,    30,    35,    37,    41,    43,    46,    49,    57,
    63,    69,    71,    73,    75,    77,    79,    81,    83,    85,
    87,    91,    96,   101,   104,   107,   109,   113,   115,   117,
   119,   121,   123,   125,   127,   130,   133,   136,   140,   142,
   144,   146,   148,   150,   152,   154,   156,   158,   160,   162,
   164,   166,   170,   174,   178,   180,   184,   188,   190,   192,
   196,   200,   202,   206,   210,   214,   218,   220,   224,   228,
   230,   234,   236,   240,   242,   246,   248,   252,   254,   258,
   260,   262,   263,   265,   267,   269,   272,   275,   279,   281,
   283,   285,   287,   290,   293,   297,   302,   304,   308,   310,
   313,   317,   319,   323,   326,   328,   332,   335,   339,   344,
   347,   348,   352,   357,   359,   361,   365,   367,   369,   371,
   373,   375,   377,   379
};

static const short yyrhs[] = {    90,
     0,    91,     0,    90,    91,     0,    92,     0,   123,     0,
   125,   126,    94,     0,    94,     0,    98,     0,    99,     0,
    97,     0,    68,    69,     0,    68,    96,    69,     0,    68,
   122,    96,    69,     0,    95,     0,    29,   120,    70,     0,
    93,     0,    96,    93,     0,   120,    70,     0,     3,    71,
   121,    72,    93,    19,    93,     0,     3,    71,   121,    72,
    93,     0,    46,    71,   121,    72,    93,     0,     7,     0,
     6,     0,     9,     0,    10,     0,    11,     0,     8,     0,
     4,     0,   100,     0,   101,     0,   102,    71,    72,     0,
   102,    71,   103,    72,     0,   102,    73,   121,    74,     0,
   102,    48,     0,   102,    49,     0,   106,     0,   103,    75,
   106,     0,    76,     0,    77,     0,    78,     0,    79,     0,
    80,     0,    81,     0,   102,     0,    48,   105,     0,    49,
   105,     0,   104,   105,     0,   105,   107,   106,     0,   118,
     0,    82,     0,    58,     0,    59,     0,    60,     0,    61,
     0,    62,     0,    63,     0,    64,     0,    65,     0,    66,
     0,    67,     0,   105,     0,   108,    77,   101,     0,   108,
    83,   101,     0,   108,    84,   101,     0,   108,     0,   109,
    78,   108,     0,   109,    79,   108,     0,    12,     0,   109,
     0,   110,    50,   109,     0,   110,    51,   109,     0,   110,
     0,   111,    85,   110,     0,   111,    86,   110,     0,   111,
    52,   110,     0,   111,    53,   110,     0,   111,     0,   112,
    54,   111,     0,   112,    55,   111,     0,   112,     0,   113,
    76,   112,     0,   113,     0,   114,    87,   113,     0,   114,
     0,   115,    88,   114,     0,   115,     0,   116,    56,   115,
     0,   116,     0,   117,    57,   116,     0,   117,     0,   118,
     0,     0,   121,     0,   106,     0,   123,     0,   122,   123,
     0,   124,    70,     0,   125,   126,   135,     0,   138,     0,
   127,     0,   129,     0,   128,     0,    77,   126,     0,   129,
   130,     0,    71,   127,    72,     0,    71,   127,    72,   130,
     0,     4,     0,    71,   129,    72,     0,   134,     0,    71,
    72,     0,    71,   131,    72,     0,   133,     0,   133,    75,
    22,     0,   125,   126,     0,   132,     0,   133,    75,   132,
     0,    73,    74,     0,    73,   119,    74,     0,   134,    73,
   119,    74,     0,    82,   136,     0,     0,    68,   137,    69,
     0,    68,   137,    75,    69,     0,   106,     0,   136,     0,
   137,    75,   136,     0,    15,     0,    27,     0,    33,     0,
    20,     0,    32,     0,    14,     0,    38,     0,    17,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
    94,   101,   104,   112,   117,   125,   148,   150,   152,   154,
   158,   161,   163,   170,   174,   185,   188,   197,   203,   211,
   221,   235,   240,   244,   248,   252,   256,   263,   269,   281,
   287,   308,   328,   334,   342,   351,   362,   375,   381,   386,
   391,   396,   401,   410,   417,   427,   437,   447,   478,   485,
   488,   490,   492,   494,   496,   498,   500,   502,   504,   506,
   509,   512,   514,   516,   520,   523,   525,   527,   531,   534,
   536,   540,   544,   546,   548,   550,   554,   557,   559,   563,
   566,   570,   573,   577,   580,   584,   587,   591,   594,   599,
   603,   607,   610,   613,   619,   622,   633,   642,   657,   663,
   670,   673,   676,   681,   689,   691,   695,   698,   701,   704,
   708,   713,   716,   719,   724,   727,   731,   734,   736,   741,
   748,   751,   757,   762,   769,   776,   785,   788,   790,   792,
   794,   796,   798,   800
};

static const char * const yytname[] = {   "$","error","$undefined.","IFF","IDENTIFIER",
"STRINGliteral","FLOATINGconstant","INTEGERconstant","CHARACTERconstant","OCTALconstant",
"HEXconstant","BOOLconstant","EXPRESSION","AUTO","DOUBLE","INT","STRUCT","BOOL",
"BREAK","ELSE","LONG","SWITCH","ELLIPSIS","CASE","ENUM","REGISTER","TYPEDEF",
"CHAR","EXTERN","RETURN","UNION","CONST","FLOAT","SHORT","UNSIGNED","CONTINUE",
"FOR","SIGNED","VOID","DEFAULT","GOTO","SIZEOF","VOLATILE","DO","IF","STATIC",
"WHILE","ARROW","ICR","DECR","LS","RS","LE","GE","EQ","NE","ANDAND","OROR","MULTassign",
"DIVassign","MODassign","PLUSassign","MINUSassign","LSassign","RSassign","ANDassign",
"ERassign","ORassign","'{'","'}'","';'","'('","')'","'['","']'","','","'&'",
"'*'","'+'","'-'","'~'","'!'","'='","'/'","'%'","'<'","'>'","'^'","'|'","input",
"translation_unit","external_definition","function_definition","statement","compound_statement",
"jump_statement","statement_list","expression_statement","selection_statement",
"iteration_statement","constant","primary_expression","postfix_expression","argument_expression_list",
"unary_operator","unary_expression","assignment_expression","assignment_operator",
"multiplicative_expression","additive_expression","shift_expression","relational_expression",
"equality_expression","AND_expression","exclusive_OR_expression","inclusive_OR_expression",
"logical_AND_expression","logical_OR_expression","conditional_expression","constant_expression",
"comma_expression_opt","comma_expression","declaration_list","declaration","declaring_list",
"type_specifier","identifier_declarator","unary_identifier_declarator","postfix_identifier_declarator",
"paren_identifier_declarator","postfixing_abstract_declarator","parameter_type_list",
"parameter_declaration","parameter_list","array_abstract_declarator","initializer_opt",
"initializer","initializer_list","basic_type_name",""
};
#endif

static const short yyr1[] = {     0,
    89,    90,    90,    91,    91,    92,    93,    93,    93,    93,
    94,    94,    94,    94,    95,    96,    96,    97,    98,    98,
    99,   100,   100,   100,   100,   100,   100,   101,   101,   102,
   102,   102,   102,   102,   102,   103,   103,   104,   104,   104,
   104,   104,   104,   105,   105,   105,   105,   106,   106,   107,
   107,   107,   107,   107,   107,   107,   107,   107,   107,   107,
   108,   108,   108,   108,   109,   109,   109,   109,   110,   110,
   110,   111,   111,   111,   111,   111,   112,   112,   112,   113,
   113,   114,   114,   115,   115,   116,   116,   117,   117,   118,
   119,   120,   120,   121,   122,   122,   123,   124,   125,   126,
   126,   127,   127,   128,   128,   128,   129,   129,   130,   130,
   130,   131,   131,   132,   133,   133,   134,   134,   134,   135,
   135,   136,   136,   136,   137,   137,   138,   138,   138,   138,
   138,   138,   138,   138
};

static const short yyr2[] = {     0,
     1,     1,     2,     1,     1,     3,     1,     1,     1,     1,
     2,     3,     4,     1,     3,     1,     2,     2,     7,     5,
     5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     3,     4,     4,     2,     2,     1,     3,     1,     1,     1,
     1,     1,     1,     1,     2,     2,     2,     3,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     3,     3,     3,     1,     3,     3,     1,     1,     3,
     3,     1,     3,     3,     3,     3,     1,     3,     3,     1,
     3,     1,     3,     1,     3,     1,     3,     1,     3,     1,
     1,     0,     1,     1,     1,     2,     2,     3,     1,     1,
     1,     1,     2,     2,     3,     4,     1,     3,     1,     2,
     3,     1,     3,     2,     1,     3,     2,     3,     4,     2,
     0,     3,     4,     1,     1,     3,     1,     1,     1,     1,
     1,     1,     1,     1
};

static const short yydefact[] = {     0,
   132,   127,   134,   130,   128,   131,   129,   133,     1,     2,
     4,     5,     0,     0,    99,     3,    97,   107,     0,     0,
   121,   100,   102,   101,     0,     0,   103,    92,    92,     0,
     6,    14,    98,     0,     0,   104,   109,   105,   108,    28,
    23,    22,    27,    24,    25,    26,    68,     0,     0,    38,
    39,    40,    41,    42,    43,    29,    30,    44,     0,    61,
    94,    65,    69,    72,    77,    80,    82,    84,    86,    88,
    90,    49,     0,    93,     0,     0,    11,    16,     7,    92,
    10,     8,     9,     0,    92,    95,     0,     0,   124,   120,
   110,     0,     0,   115,   112,   117,    61,    91,     0,     0,
   106,    45,    46,    34,    35,     0,     0,    47,    51,    52,
    53,    54,    55,    56,    57,    58,    59,    60,    50,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,    15,     0,
     0,    12,    17,    18,    92,    96,   121,   125,     0,   114,
   111,     0,   118,     0,    31,     0,    36,     0,    48,    62,
    63,    64,    66,    67,    70,    71,    75,    76,    73,    74,
    78,    79,    81,    83,    85,    87,    89,     0,     0,    13,
   122,     0,   113,   116,   119,    32,     0,    33,    92,    92,
   123,   126,    37,    20,    21,    92,    19,     0,     0,     0
};

static const short yydefgoto[] = {   198,
     9,    10,    11,    78,    79,    32,    80,    81,    82,    83,
    56,    57,    58,   156,    59,    60,    61,   120,    62,    63,
    64,    65,    66,    67,    68,    69,    70,    71,    72,    99,
    84,    74,    85,    12,    13,    14,    21,    22,    23,    24,
    36,    93,    94,    95,    37,    33,    90,   149,    15
};

static const short yypact[] = {   472,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   472,-32768,
-32768,-32768,   -37,    14,-32768,-32768,-32768,-32768,    14,    14,
    -9,-32768,-32768,    46,   -57,    -8,-32768,   404,   122,   358,
-32768,-32768,-32768,    15,   382,-32768,   -33,    46,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,     1,     1,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,    13,     1,   384,
-32768,   -58,   -55,    24,   -14,   -18,   -20,   -27,   -22,    27,
    63,-32768,    51,-32768,    52,    56,-32768,-32768,-32768,   177,
-32768,-32768,-32768,    65,   201,-32768,    14,   358,-32768,-32768,
-32768,    14,    50,-32768,    69,-32768,-32768,-32768,    64,   404,
-32768,-32768,-32768,-32768,-32768,   392,   404,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   404,
   168,   168,   168,     1,     1,   404,   404,   404,   404,   404,
   404,   404,   404,   404,   404,   404,   404,   404,-32768,   404,
   404,-32768,-32768,-32768,   256,-32768,    68,-32768,   -47,-32768,
-32768,   126,-32768,    71,-32768,   -41,-32768,    73,-32768,-32768,
-32768,-32768,   -58,   -58,   -55,   -55,    24,    24,    24,    24,
   -14,   -14,   -18,   -20,   -27,   -22,    27,    84,    89,-32768,
-32768,   304,-32768,-32768,-32768,-32768,   404,-32768,   280,   280,
-32768,-32768,-32768,   143,-32768,   280,-32768,   163,   165,-32768
};

static const short yypgoto[] = {-32768,
-32768,   157,-32768,   -78,   146,-32768,    88,-32768,-32768,-32768,
-32768,    -7,-32768,-32768,-32768,   -32,   -30,-32768,   -73,   -38,
   -85,   -23,    35,    47,    57,    55,    58,-32768,   -31,    94,
   167,   -86,-32768,   -15,-32768,   -28,    21,   178,-32768,   195,
   179,-32768,    67,-32768,-32768,-32768,   -75,-32768,-32768
};


#define	YYLAST		510


static const short yytable[] = {    89,
    87,   143,    97,    98,    40,    92,    41,    42,    43,    44,
    45,    46,   148,    86,    38,   102,   103,    18,   121,    28,
   158,   181,   124,   125,   122,   123,   108,   182,     1,     2,
   186,     3,    17,   187,     4,   132,   133,   128,   129,   100,
    27,     5,   167,   168,   169,   170,     6,     7,    48,    49,
   163,   164,     8,   178,   179,   134,    87,    89,    29,   135,
   104,   105,    34,    39,    35,   136,   143,    97,    98,   146,
   130,   131,    30,   126,   127,   157,    50,    51,    52,    53,
    54,    55,   137,   106,    19,   107,    91,   165,   166,   159,
    20,    97,    97,    97,    97,    97,    97,    97,    97,    97,
    97,    97,    97,    97,    97,    97,   192,   147,   171,   172,
   194,   195,   150,   160,   161,   162,    34,   197,    35,   138,
   139,   151,   140,    92,    75,    40,   141,    41,    42,    43,
    44,    45,    46,    47,   144,     1,     2,   153,     3,     1,
     2,     4,     3,   152,   185,     4,   188,   183,     5,    30,
    28,    89,     5,     6,     7,   189,   193,     6,     7,     8,
   190,   196,   199,     8,   200,    16,    31,    76,   173,    48,
    49,    40,   145,    41,    42,    43,    44,    45,    46,    75,
    40,   174,    41,    42,    43,    44,    45,    46,    47,    29,
    77,   176,   175,   154,    73,   177,    25,    50,    51,    52,
    53,    54,    55,    75,    40,    28,    41,    42,    43,    44,
    45,    46,    47,    26,     1,     2,   101,     3,   184,     0,
     4,     0,    76,     0,    48,    49,     0,     5,     0,    28,
     0,     0,     6,     7,     0,     0,     0,     0,     8,     0,
     0,     0,     0,     0,    29,   142,    76,     0,    48,    49,
     0,     0,    50,    51,    52,    53,    54,    55,    75,    40,
     0,    41,    42,    43,    44,    45,    46,    47,    29,     0,
     0,     0,     0,     0,     0,     0,    50,    51,    52,    53,
    54,    55,    75,    40,    28,    41,    42,    43,    44,    45,
    46,    47,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    76,     0,    48,    49,     0,     0,    40,    28,    41,
    42,    43,    44,    45,    46,    47,     0,     0,     0,     0,
     0,     0,     0,    29,   180,    76,     0,    48,    49,     0,
     0,    50,    51,    52,    53,    54,    55,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,    29,     0,     0,
     0,    48,    49,     0,     0,    50,    51,    52,    53,    54,
    55,    40,     0,    41,    42,    43,    44,    45,    46,    47,
     0,    88,   191,     0,     0,     0,     0,     0,     0,    50,
    51,    52,    53,    54,    55,    40,     0,    41,    42,    43,
    44,    45,    46,    47,     0,    40,     0,    41,    42,    43,
    44,    45,    46,    47,     0,    48,    49,    40,     0,    41,
    42,    43,    44,    45,    46,    47,     0,     0,     0,     0,
     0,     0,     0,     0,     0,    88,     0,     0,     0,    48,
    49,     0,     0,    50,    51,    52,    53,    54,    55,    48,
    49,   109,   110,   111,   112,   113,   114,   115,   116,   117,
   118,    48,    49,     0,     0,    96,     0,    50,    51,    52,
    53,    54,    55,   155,     0,   119,     0,    50,    51,    52,
    53,    54,    55,     0,     0,     0,     0,     0,     0,    50,
    51,    52,    53,    54,    55,     1,     2,     0,     3,     0,
     0,     4,     0,     0,     0,     0,     0,     0,     5,     0,
     0,     0,     0,     6,     7,     0,     0,     0,     0,     8
};

static const short yycheck[] = {    30,
    29,    80,    35,    35,     4,    34,     6,     7,     8,     9,
    10,    11,    88,    29,    72,    48,    49,     4,    77,    29,
   107,    69,    78,    79,    83,    84,    59,    75,    14,    15,
    72,    17,    70,    75,    20,    54,    55,    52,    53,    73,
    20,    27,   128,   129,   130,   131,    32,    33,    48,    49,
   124,   125,    38,   140,   141,    76,    85,    88,    68,    87,
    48,    49,    71,    72,    73,    88,   145,   100,   100,    85,
    85,    86,    82,    50,    51,   106,    76,    77,    78,    79,
    80,    81,    56,    71,    71,    73,    72,   126,   127,   120,
    77,   124,   125,   126,   127,   128,   129,   130,   131,   132,
   133,   134,   135,   136,   137,   138,   182,    87,   132,   133,
   189,   190,    92,   121,   122,   123,    71,   196,    73,    57,
    70,    72,    71,   152,     3,     4,    71,     6,     7,     8,
     9,    10,    11,    12,    70,    14,    15,    74,    17,    14,
    15,    20,    17,    75,    74,    20,    74,    22,    27,    82,
    29,   182,    27,    32,    33,    72,   187,    32,    33,    38,
    72,    19,     0,    38,     0,     9,    21,    46,   134,    48,
    49,     4,    85,     6,     7,     8,     9,    10,    11,     3,
     4,   135,     6,     7,     8,     9,    10,    11,    12,    68,
    69,   137,   136,   100,    28,   138,    19,    76,    77,    78,
    79,    80,    81,     3,     4,    29,     6,     7,     8,     9,
    10,    11,    12,    19,    14,    15,    38,    17,   152,    -1,
    20,    -1,    46,    -1,    48,    49,    -1,    27,    -1,    29,
    -1,    -1,    32,    33,    -1,    -1,    -1,    -1,    38,    -1,
    -1,    -1,    -1,    -1,    68,    69,    46,    -1,    48,    49,
    -1,    -1,    76,    77,    78,    79,    80,    81,     3,     4,
    -1,     6,     7,     8,     9,    10,    11,    12,    68,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    76,    77,    78,    79,
    80,    81,     3,     4,    29,     6,     7,     8,     9,    10,
    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    46,    -1,    48,    49,    -1,    -1,     4,    29,     6,
     7,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    68,    69,    46,    -1,    48,    49,    -1,
    -1,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,
    -1,    48,    49,    -1,    -1,    76,    77,    78,    79,    80,
    81,     4,    -1,     6,     7,     8,     9,    10,    11,    12,
    -1,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    76,
    77,    78,    79,    80,    81,     4,    -1,     6,     7,     8,
     9,    10,    11,    12,    -1,     4,    -1,     6,     7,     8,
     9,    10,    11,    12,    -1,    48,    49,     4,    -1,     6,
     7,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    48,
    49,    -1,    -1,    76,    77,    78,    79,    80,    81,    48,
    49,    58,    59,    60,    61,    62,    63,    64,    65,    66,
    67,    48,    49,    -1,    -1,    74,    -1,    76,    77,    78,
    79,    80,    81,    72,    -1,    82,    -1,    76,    77,    78,
    79,    80,    81,    -1,    -1,    -1,    -1,    -1,    -1,    76,
    77,    78,    79,    80,    81,    14,    15,    -1,    17,    -1,
    -1,    20,    -1,    -1,    -1,    -1,    -1,    -1,    27,    -1,
    -1,    -1,    -1,    32,    33,    -1,    -1,    -1,    -1,    38
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */


/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#else /* not MSDOS, __TURBOC__, or _AIX */
#ifdef __hpux
#ifdef __cplusplus
extern "C" {
void *alloca (unsigned int);
};
#else /* not __cplusplus */
void *alloca ();
#endif /* not __cplusplus */
#endif /* __hpux */
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	return(0)
#define YYABORT 	return(1)
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
int yyparse (void);
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(FROM,TO,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (from, to, count)
     char *from;
     char *to;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *from, char *to, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif



/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#else
#define YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#endif

int
yyparse(YYPARSE_PARAM)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = (int)(yyssp - yyss + 1);
#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) alloca (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss1, (char *)yyss, size * sizeof (*yyssp));
      yyvs = (YYSTYPE *) alloca (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs1, (char *)yyvs, size * sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) alloca (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls1, (char *)yyls, size * sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 1:
{
		Root=yyvsp[0].link;
		//globalVariables = variables;
	;
    break;}
case 2:
{yyval.link = yyvsp[0].link;;
    break;}
case 3:
{
      		yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_SEMICOLON,"");
      		yyval.link->_left = yyvsp[-1].link;
      		yyval.link->_right = yyvsp[0].link;
      	;
    break;}
case 4:
{
			yyval.link = yyvsp[0].link;
        ;
    break;}
case 5:
{
			
			yyval.link = yyvsp[0].link;
		
        ;
    break;}
case 6:
{
			int bracketPos = yyvsp[-1].text.find("(");
			
			std::string name = yyvsp[-1].text.substr(0,bracketPos);
			s2a::removeDataPrefix(name);
			std::string cleanedDefinition = yyvsp[-2].text + " " + yyvsp[-1].text + " " + yyvsp[0].text;
			s2a::removeDataPrefix(cleanedDefinition);
			
			yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_PROCEDURE, cleanedDefinition, context->lineNumber, yyvsp[-2].lineNumber, yyvsp[0].lineNumber); //TODO: do something with name
			yyval.link->_left = yyvsp[0].link;
			common::Function* func = new common::Function(yyvsp[-2].text + " " + name);
			func->localVariables = context->variables;
			context->knownFunctions.push_back(func);
			context->variables.clear();
		;
    break;}
case 7:
{yyval.link = yyvsp[0].link;;
    break;}
case 8:
{yyval.link = yyvsp[0].link;;
    break;}
case 9:
{yyval.link = yyvsp[0].link;;
    break;}
case 10:
{yyval.link = yyvsp[0].link;;
    break;}
case 11:
{yyval.link = NULL; yyval.lineNumber = yyvsp[0].lineNumber; ;
    break;}
case 12:
{yyval.link = yyvsp[-1].link;yyval.lineNumber = yyvsp[0].lineNumber;;
    break;}
case 13:
{
				yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_SEMICOLON,"",context->lineNumber);	
				yyval.link->_left = yyvsp[-2].link;
				yyval.link->_right = yyvsp[-1].link;
				yyval.lineNumber = yyvsp[-2].lineNumber;
			;
    break;}
case 14:
{yyval.link = yyvsp[0].link;yyval.text = "";yyval.lineNumber = yyvsp[0].lineNumber;;
    break;}
case 15:
{
			yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_RETURN,yyvsp[-1].text,context->lineNumber);
			yyval.link->dependsOn = yyvsp[-1].dependsOn;
			yyval.dependsOn = yyvsp[-1].dependsOn;
			yyval.text = "";
        ;
    break;}
case 16:
{yyval.link = yyvsp[0].link; yyval.dependsOn = yyvsp[0].dependsOn;
    break;}
case 17:
{
			std::string a = "";
			yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_SEMICOLON,a,context->lineNumber);
			
			yyval.link->_left = yyvsp[-1].link;
			yyval.link->_right=yyvsp[0].link;
        ;
    break;}
case 18:
{yyval.text = yyvsp[-1].text;yyval.link = yyvsp[-1].link; yyval.dependsOn = yyvsp[-1].dependsOn;;
    break;}
case 19:
{
				yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_IF, yyvsp[-4].text, yyvsp[-6].lineNumber, yyvsp[-2].lineNumber, yyvsp[0].lineNumber);
				yyval.link->_left = yyvsp[-2].link;
				yyval.dependsOn = yyval.link->dependsOn = yyvsp[-4].dependsOn;
				yyval.link->_right = yyvsp[0].link;
			;
    break;}
case 20:
{
			
				yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_IF, yyvsp[-2].text, yyvsp[-4].lineNumber, yyvsp[-4].lineNumber, yyvsp[0].lineNumber);
				yyval.dependsOn = yyval.link->dependsOn = yyvsp[-2].dependsOn;
				yyval.link->_left = yyvsp[0].link;
				
			;
    break;}
case 21:
{
		        yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_WHILE, yyvsp[-2].text, yyvsp[-4].lineNumber, yyvsp[0].lineNumber);
		        yyval.link->dependsOn = yyvsp[-2].dependsOn;
				yyval.link->_left = yyvsp[0].link;
				
       ;
    break;}
case 22:
{
				yyval.text = yyvsp[0].text; yyval.link = yyvsp[0].link;
		;
    break;}
case 23:
{
				yyval.text = yyvsp[0].text; yyval.link = yyvsp[0].link;
		;
    break;}
case 24:
{
				yyval.text = yyvsp[0].text; yyval.link = yyvsp[0].link;
		;
    break;}
case 25:
{
				yyval.text = yyvsp[0].text; yyval.link = yyvsp[0].link;
		;
    break;}
case 26:
{
				yyval.text = yyvsp[0].text; yyval.link = yyvsp[0].link;
		;
    break;}
case 27:
{
				yyval.text = yyvsp[0].text; yyval.link = yyvsp[0].link;
		;
    break;}
case 28:
{
				yyval.text = "data->"+yyvsp[0].text; yyval.link = yyvsp[0].link;
				yyval.dependsOn.push_back(yyval.text);
		;
    break;}
case 29:
{
				yyval.text = yyvsp[0].text; yyval.link = yyvsp[0].link;
		;
    break;}
case 30:
{
				yyval.text = yyvsp[0].text; yyval.link = yyvsp[0].link;
				yyval.dependsOn = yyvsp[0].dependsOn;
		;
    break;}
case 31:
{
		//   
			
			s2a::removeDataPrefix(yyvsp[-2].text);
			
			
			common::SyntaxTreeNode::NodeType type = common::SyntaxTreeNode::NTYPE_UNKNOWN_FUNCTION_CALL;
			for(unsigned int i = 0; i < context->knownFunctions.size(); i++) {
				if(context->knownFunctions[i]->name == yyvsp[-2].text) {
					type = common::SyntaxTreeNode::NTYPE_KNOWN_FUNCTION_CALL; 
				}
		    }
		
			  if (type == common::SyntaxTreeNode::NTYPE_KNOWN_FUNCTION_CALL) {
		        yyval.link = new common::SyntaxTreeNode(type,yyvsp[-2].text + "Automaton()" ,context->lineNumber);
		        //functionVector.push_back(common::Function($1.text + "()"));//TODO: later
		    } else {
		        yyval.link = new common::SyntaxTreeNode(type,yyvsp[-2].text + "()",context->lineNumber);
		    }
		;
    break;}
case 32:
{
		    s2a::removeDataPrefix(yyvsp[-3].text);
		    common::SyntaxTreeNode::NodeType type = common::SyntaxTreeNode::NTYPE_UNKNOWN_FUNCTION_CALL;
			for(unsigned int i = 0; i < context->knownFunctions.size(); i++) {
				if(context->knownFunctions[i]->name == yyvsp[-3].text) {
					type = common::SyntaxTreeNode::NTYPE_KNOWN_FUNCTION_CALL; 
									
				}
		    }
		    if (type == common::SyntaxTreeNode::NTYPE_KNOWN_FUNCTION_CALL) {
		        yyval.link = new common::SyntaxTreeNode(type,yyvsp[-3].text + "Automaton(" + yyvsp[-1].text + ')' ,context->lineNumber);
		        //functionVector.push_back(common::Function($1.text + " (" + $3.text + ")")); TODO:Later
		    } else {
		        yyval.link = new common::SyntaxTreeNode(type,yyvsp[-3].text + "(" + yyvsp[-1].text + ')' ,context->lineNumber);
		    }
		    yyval.link->dependsOn = yyvsp[-1].dependsOn;
			
		
		;
    break;}
case 33:
{
				yyval.text = yyvsp[-3].text+'['+yyvsp[-1].text+']'; yyval.link = yyvsp[-3].link;
				yyval.dependsOn = yyvsp[-3].dependsOn + yyvsp[-2].dependsOn;
				
		;
    break;}
case 34:
{
				yyval.text = yyvsp[-1].text+"++"; 
				yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_OPERATOR,yyvsp[-1].text+"++",context->lineNumber);
				yyval.link->_nameOfVariableToSave = yyvsp[-1].text;
				yyval.link->dependsOn = yyvsp[-1].dependsOn;
				yyval.link->changeSet.push_back(yyvsp[-1].text);
		;
    break;}
case 35:
{
				yyval.text = yyvsp[-1].text+"--";
				yyval.link = yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_OPERATOR,yyvsp[-1].text+"--",context->lineNumber);
				yyval.link->_nameOfVariableToSave = yyvsp[-1].text;
				yyval.link->dependsOn = yyvsp[-1].dependsOn;
				yyval.link->changeSet.push_back(yyvsp[-1].text);
		;
    break;}
case 36:
{
            yyval.link = NULL; 
            yyval.text = yyvsp[0].text;
            s2a::removeDataPrefix(yyvsp[0].text);
            //common::Variable var($1.text);
            //$$.dependsOn.push_back(var.getName());
			yyval.dependsOn.push_back(yyvsp[0].text); //TODO: Expression
  
        ;
    break;}
case 37:
{
            yyval.link = NULL; 
            yyval.text = yyvsp[-2].text + ',' + yyvsp[0].text;
            
			s2a::removeDataPrefix(yyvsp[0].text);
            //common::Variable var($3.text);
            yyval.dependsOn = yyvsp[-2].dependsOn;
            //$$.dependsOn.push_back(var.getName());
			yyval.dependsOn.push_back(yyvsp[0].text);             
        ;
    break;}
case 38:
{
			yyval.link = yyvsp[0].link;
			yyval.text = yyvsp[0].text;
        ;
    break;}
case 39:
{
			yyval.link = yyvsp[0].link;
			yyval.text = yyvsp[0].text;
        ;
    break;}
case 40:
{
			yyval.link = yyvsp[0].link;
			yyval.text = yyvsp[0].text;
        ;
    break;}
case 41:
{
			yyval.link = yyvsp[0].link;
			yyval.text = yyvsp[0].text;
        ;
    break;}
case 42:
{
			yyval.link = yyvsp[0].link;
			yyval.text = yyvsp[0].text;
        ;
    break;}
case 43:
{
			yyval.link = yyvsp[0].link;
			yyval.text = yyvsp[0].text;
        ;
    break;}
case 44:
{
			yyval.link = yyvsp[0].link;
			yyval.text = yyvsp[0].text;
			yyval.dependsOn = yyvsp[0].dependsOn;
        ;
    break;}
case 45:
{
			yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_OPERATOR,"++"+yyvsp[0].text,context->lineNumber);
			yyval.link->dependsOn = yyvsp[0].dependsOn;
			yyval.link->changeSet.push_back(yyvsp[0].text);
			yyval.text = yyvsp[-1].text+yyvsp[0].text;
			yyval.link->_nameOfVariableToSave = yyvsp[0].text;
			
			yyval.dependsOn = yyvsp[0].dependsOn;
        ;
    break;}
case 46:
{
			yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_OPERATOR,"--"+yyvsp[0].text,context->lineNumber);
			yyval.link->dependsOn = yyvsp[0].dependsOn;
			yyval.link->changeSet.push_back(yyvsp[0].text);
			yyval.text = yyvsp[-1].text+yyvsp[0].text;
			yyval.link->_nameOfVariableToSave = yyvsp[0].text;
			
			yyval.dependsOn = yyvsp[0].dependsOn;
        ;
    break;}
case 47:
{
            yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_OPERATOR,yyvsp[-1].text + yyvsp[0].text,context->lineNumber);
            yyval.link->dependsOn = yyvsp[0].dependsOn;
			yyval.text = yyvsp[-1].text + yyvsp[0].text;
			yyval.link->_nameOfVariableToSave = yyvsp[0].text;
			yyval.dependsOn = yyvsp[0].dependsOn;
        ;
    break;}
case 48:
{
								
				std::string a = yyvsp[-2].text+' '+yyvsp[-1].text+' '+yyvsp[0].text;
				
				if (functionVector.size() > 0) { //  assignment_expression   ,  x = 6 + f();
				
				    
				    common::SyntaxTreeNode* pNode = yyval.link;
    				
				    for (unsigned int i = 0; i < functionVector.size(); i++) {
				        pNode = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_SEMICOLON,"");
    				    pNode->_right =  new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_KNOWN_FUNCTION_CALL,functionVector[i].name + "Automaton()" ,context->lineNumber);   
                        pNode = pNode->_left;				    
				    }
    				
				    functionVector.clear();
											
				}
				yyval.link = new common::SyntaxTreeNode (common::SyntaxTreeNode::NTYPE_OPERATOR,a,context->lineNumber);
								
				yyval.link->dependsOn = yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;
				
				yyval.link->changeSet.push_back(yyvsp[-2].text);
				
				yyval.link->_nameOfVariableToSave = yyvsp[-2].text;
			

			;
    break;}
case 49:
{
				yyval.text = yyvsp[0].text; yyval.link = yyvsp[0].link; yyval.dependsOn = yyvsp[0].dependsOn;
			;
    break;}
case 50:
{yyval.text = yyvsp[0].text;;
    break;}
case 51:
{yyval.text = yyvsp[0].text;;
    break;}
case 52:
{yyval.text = yyvsp[0].text;;
    break;}
case 53:
{yyval.text = yyvsp[0].text;;
    break;}
case 54:
{yyval.text = yyvsp[0].text;;
    break;}
case 55:
{yyval.text = yyvsp[0].text;;
    break;}
case 56:
{yyval.text = yyvsp[0].text;;
    break;}
case 57:
{yyval.text = yyvsp[0].text;;
    break;}
case 58:
{yyval.text = yyvsp[0].text;;
    break;}
case 59:
{yyval.text = yyvsp[0].text;;
    break;}
case 60:
{yyval.text = yyvsp[0].text;;
    break;}
case 61:
{yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 62:
{yyval.text = yyvsp[-2].text+yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 63:
{yyval.text = yyvsp[-2].text+yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 64:
{yyval.text = yyvsp[-2].text+yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 65:
{yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;
    break;}
case 66:
{yyval.text = yyvsp[-2].text+yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 67:
{yyval.text = yyvsp[-2].text+yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 68:
{yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;
    break;}
case 69:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn ;;
    break;}
case 70:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 71:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 72:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 73:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 74:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 75:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 76:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 77:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 78:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 79:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 80:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 81:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 82:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 83:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 84:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 85:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 86:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 87:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 88:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 89:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 90:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 91:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 92:
{yyval.link = NULL;yyval.text = "";;
    break;}
case 93:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 94:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 95:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 96:
{
			yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_SEMICOLON,"",context->lineNumber);
			yyval.link->_left = yyvsp[-1].link;
			yyval.link->_right = yyvsp[0].link;
			yyval.link->dependsOn = yyvsp[-1].link->dependsOn + yyvsp[0].link->dependsOn;
			
			yyval.text.append("$").append(yyvsp[0].text);//        ,  $
        ;
    break;}
case 97:
{
			yyval.link = yyvsp[-1].link;
			yyval.text = yyvsp[-1].text;
			yyval.dependsOn = yyvsp[-1].dependsOn;
        ;
    break;}
case 98:
{
		     if (yyvsp[0].text.length() > 0) {
			    yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_VARIABLE_DECLARATION, yyvsp[-2].text + " " + yyvsp[-1].text + " = " + yyvsp[0].text, yyvsp[-1].lineNumber, yyvsp[-2].lineNumber, yyvsp[0].lineNumber);
			 } else {
			    yyval.link = new common::SyntaxTreeNode(common::SyntaxTreeNode::NTYPE_VARIABLE_DECLARATION, yyvsp[-2].text + " " + yyvsp[-1].text, yyvsp[-1].lineNumber, yyvsp[-2].lineNumber, yyvsp[-1].lineNumber);
			 }
			 yyval.text = yyvsp[-1].text; //        .             function_definition
			 yyval.dependsOn.push_back(yyvsp[-2].text + yyvsp[-1].text);
		;
    break;}
case 99:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;;
    break;}
case 100:
{
            yyval.link = yyvsp[0].link;
            yyval.text = yyvsp[0].text;
            yyval.dependsOn = yyvsp[0].dependsOn;
          ;
    break;}
case 101:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 102:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text; yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 103:
{yyval.link = yyvsp[-1].link;yyval.text = yyvsp[-1].text+yyvsp[0].text; yyval.dependsOn = yyvsp[-1].dependsOn;;
    break;}
case 104:
{
            yyval.link = yyvsp[-1].link;
            yyval.text = yyvsp[-1].text+yyvsp[0].text;
            yyval.dependsOn = yyvsp[-1].dependsOn + yyvsp[0].dependsOn;
           
        ;
    break;}
case 105:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text+yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-1].dependsOn;;
    break;}
case 106:
{yyval.link = yyvsp[-3].link;yyval.text = yyvsp[-3].text+yyvsp[-2].text+yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 107:
{yyval.link = yyvsp[0].link;yyval.text = "data->"+yyvsp[0].text; yyval.dependsOn.push_back(yyval.text);;
    break;}
case 108:
{yyval.link = yyvsp[-2].link;yyval.text = '('+yyvsp[-2].text+')';;
    break;}
case 109:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;;
    break;}
case 110:
{
			yyval.link = NULL; yyval.text = "()";
        ;
    break;}
case 111:
{
			yyval.link = yyvsp[-1].link; yyval.text = "("; yyval.text.append(yyvsp[-1].text).append(")"); yyval.dependsOn = yyvsp[-1].dependsOn;
        ;
    break;}
case 112:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;;
    break;}
case 113:
{/*not yet supproted*/;
    break;}
case 114:
{yyval.link = yyvsp[-1].link;yyval.text = yyvsp[-1].text + " " + yyvsp[0].text; yyval.dependsOn.push_back(yyvsp[-1].text + yyvsp[0].text);;
    break;}
case 115:
{yyval.link = yyvsp[0].link;yyval.text = yyvsp[0].text;yyval.dependsOn = yyvsp[0].dependsOn;;
    break;}
case 116:
{yyval.link = yyvsp[-2].link;yyval.text = yyvsp[-2].text + ',' + yyvsp[0].text;yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;;
    break;}
case 117:
{yyval.link = NULL;yyval.text = "[]";;
    break;}
case 118:
{yyval.link = yyvsp[-1].link;yyval.text = '['+yyvsp[-1].text+']'; yyval.dependsOn = yyvsp[-1].dependsOn;;
    break;}
case 119:
{yyval.link = yyvsp[-3].link;yyval.text = yyvsp[-3].text+yyvsp[-2].text+yyvsp[-1].text+yyvsp[0].text;yyval.dependsOn = yyvsp[-3].dependsOn + yyvsp[-1].dependsOn;;
    break;}
case 120:
{
			yyval.text = yyvsp[0].text;
			yyval.dependsOn = yyvsp[0].dependsOn;
			yyval.link = NULL;
		;
    break;}
case 121:
{yyval.text = "";yyval.link = NULL;;
    break;}
case 122:
{
			yyval.text = '{'+yyvsp[-1].text+'}';
			yyval.link = NULL;
		;
    break;}
case 123:
{
			yyval.text = yyvsp[-2].text;
			yyval.link = NULL;
		;
    break;}
case 124:
{
			yyval.text = yyvsp[0].text;
			yyval.link = NULL;
		;
    break;}
case 125:
{
			yyval.text = yyvsp[0].text;
			yyval.link = NULL;
			yyval.dependsOn = yyvsp[0].dependsOn;
		;
    break;}
case 126:
{
			yyval.text = yyvsp[-2].text+','+yyvsp[0].text;
			yyval.link = NULL;
			yyval.dependsOn = yyvsp[-2].dependsOn + yyvsp[0].dependsOn;
		;
    break;}
case 127:
{yyval.link = NULL; yyval.text = yyvsp[0].text;;
    break;}
case 128:
{yyval.link = NULL; yyval.text = yyvsp[0].text;;
    break;}
case 129:
{yyval.link = NULL; yyval.text = yyvsp[0].text;;
    break;}
case 130:
{yyval.link = NULL; yyval.text = yyvsp[0].text;;
    break;}
case 131:
{yyval.link = NULL; yyval.text = yyvsp[0].text;;
    break;}
case 132:
{yyval.link = NULL; yyval.text = yyvsp[0].text;;
    break;}
case 133:
{yyval.link = NULL; yyval.text = yyvsp[0].text;;
    break;}
case 134:
{yyval.link = NULL; yyval.text = yyvsp[0].text;;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */


  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
size += (int)strlen(yytname[x]) + 15, count++;	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;
}


	

int parse(const char* filename, parser::ParserContext* pContext)
{
	context = pContext;
	context->lineNumber = 1;
	yyin = fopen(filename,"r");
	if(yyin==NULL)
	{
		Log::getInstance()->logMessage(Log::MSG_ERROR, "Parser", "Cannot find file");
		return -1;
	}
	
	#ifdef AUTO_DEBUG


		yydebug = 1;
		std::cout<<"\n";
		std::cout<<"Debug mode enabled. To disable debug mode undefine AUTO_DEBUG. \n";
		std::cout<<"===========Contents of input file================= \n";
		
		std::ifstream f(filename);
		char ch;
		while(f.get(ch))std::cout.put(ch);
		
		std::cout<<"\n";
		std::cout<<"===========End of input file=======================\n";
		
		
	#endif
	return yyparse();
}