#ifndef DataModel_h__
#define DataModel_h__

#include <vector>
#include <string>

#include <common/Variable.h>

namespace common {


struct DataModel {
	std::vector<Variable> variables;
	std::string name;
	
    void writeToFile(const std::string& fileName);
	void cleanVariableNames();
    bool contains(const std::string& varName);
};

} //namespace common
#endif // DataModel_h__