#include <common/Function.h>

using namespace common;


Function::Function(const std::string& functionDeclaration)
{
	fullSignature = functionDeclaration;
	int state = 0;
	std::string buffer;
	for (unsigned int i = 0; i < functionDeclaration.length(); i++) {
		switch (state) {
			case 0:
				if (functionDeclaration[i] == ' ') {
					state = 1;
				}
				break;
			case 1:
				if (functionDeclaration[i] == '(') {
					state = 2;
				} else {
					name += functionDeclaration[i];
				}
				break;
			case 2:
				if (functionDeclaration[i] == ')') {
					if ( buffer.length() > 0) {
						parameters.push_back(common::Variable(buffer));
						buffer.clear();
					}
					state = 3;
				} else if (functionDeclaration[i] == ',') {
				    if ( buffer.length() > 0) {
						parameters.push_back(common::Variable(buffer));
						buffer.clear();
					}
				} else {
					buffer += functionDeclaration[i];
				}
				break;
			case 3:
				break;
		
		}
	}

}